libgit2 (1.8.4+ds-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Nov 2024 12:59:02 +0100

libgit2 (1.8.4+ds-1) unstable; urgency=medium

  * Unvendor llhttp again
  * New upstream version 1.8.4+ds
  * Print the file header on GIT_DIFF_FORMAT_PATCH_HEADER (Closes: #1086494)
  * Move back to http-parser again

 -- Timo Röhling <roehling@debian.org>  Sun, 03 Nov 2024 01:47:58 +0100

libgit2 (1.8.2~rc1+ds2-1) unstable; urgency=medium

  * Keep vendored llhttp for ports architectures
  * New upstream version 1.8.2~rc1+ds2
  * Update d/copyright
  * Use vendored llhttp on architectures without nodejs (Closes: #1084223)

 -- Timo Röhling <roehling@debian.org>  Tue, 08 Oct 2024 22:45:48 +0200

libgit2 (1.8.2~rc1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Oct 2024 01:02:23 +0200

libgit2 (1.8.2~rc1+ds-1) experimental; urgency=medium

  * New upstream version 1.8.2~rc1+ds
    - Revert premature const correctness change to
      git_commit_create() and git_commit_create_buffer()

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Sep 2024 09:52:48 +0200

libgit2 (1.8.1+ds-2) experimental; urgency=medium

  * Fix version ordering for -rc releases in d/watch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.0
  * Move back to http-parser from llhttp (Closes: #1081534)

 -- Timo Röhling <roehling@debian.org>  Thu, 12 Sep 2024 16:04:48 +0200

libgit2 (1.8.1+ds-1) experimental; urgency=medium

  * Update Files-Excluded for newly vendored HTTP parser
  * New upstream version 1.8.1+ds
  * Update patches
    - Drop handle-bashim.patch (merged upstream)
  * Bump SONAME to 1.8
  * Migrate from http-parser to llhttp

 -- Timo Röhling <roehling@debian.org>  Mon, 20 May 2024 11:21:07 +0200

libgit2 (1.7.2+ds-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:58:30 +0000

libgit2 (1.7.2+ds-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:24:03 +0000

libgit2 (1.7.2+ds-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control
    - Lower optimization level to O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Feb 2024 09:12:02 +0100

libgit2 (1.7.2+ds-1) unstable; urgency=medium

  * New upstream version 1.7.2+ds
    - Fix CVE-2024-24575: Denial of service in git_revparse_single
      (Closes: #1063415)
    - Fix CVE-2024-24577: Use-after-free in git_index_add
      (Closes: #1063416)
  * Build-depend on pkgconf instead of pkg-config

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Feb 2024 09:10:45 +0100

libgit2 (1.7.1+ds-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control
    - Lower optimization level to O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:29:52 +0100

libgit2 (1.7.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 02 Dec 2023 20:29:31 +0100

libgit2 (1.7.1+ds-1) experimental; urgency=medium

  * Update d/copyright
  * New upstream version 1.7.1+ds
  * Bump SONAME to 1.7

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Sep 2023 10:45:39 +0200

libgit2 (1.6.4+ds-1) experimental; urgency=medium

  * New upstream version 1.6.4+ds
  * Refresh patches
    - Drop fix-unit-tests.patch (no longer needed)
  * Bump SONAME to 1.6
  * Add myself to uploaders
  * Update d/symbols

 -- Timo Röhling <roehling@debian.org>  Mon, 19 Jun 2023 20:45:38 +0200

libgit2 (1.5.1+ds-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control
    - Lower optimization level to O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Jan 2023 22:12:51 +0100

libgit2 (1.5.1+ds-1) unstable; urgency=high

  * Team upload.
  * New upstream version 1.5.1+ds
    - Fix CVE-2023-22742: No certificate checking for SSH remotes
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sun, 22 Jan 2023 22:03:29 +0100

libgit2 (1.5.0+ds-6ubuntu2) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control
    - Lower optimization level to O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 12:25:02 +0100

libgit2 (1.5.0+ds-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Oct 2022 16:07:23 +0200

libgit2 (1.5.0+ds-5) experimental; urgency=medium

  * Team upload.
  * Fix libpcre2-dev dependency of libgit2-dev

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Sep 2022 22:17:22 +0200

libgit2 (1.5.0+ds-4) experimental; urgency=medium

  * Team upload.
  * Disable even more flaky lstat() tests

 -- Timo Röhling <roehling@debian.org>  Wed, 31 Aug 2022 15:54:12 +0200

libgit2 (1.5.0+ds-3) experimental; urgency=medium

  * Team upload.
  * Guard more lstat() asserts with GITTEST_FLAKY_STAT

 -- Timo Röhling <roehling@debian.org>  Wed, 31 Aug 2022 13:36:51 +0200

libgit2 (1.5.0+ds-2) experimental; urgency=medium

  * Team upload.
  * Enable GITTEST_FLAKY_STAT workaround for unit tests
  * Apply M-A hint to libgit2-fixtures

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Aug 2022 23:04:36 +0200

libgit2 (1.5.0+ds-1) experimental; urgency=medium

  * Team upload.
  * Update d/watch
  * Bump Standards-Version to 4.6.1
  * New upstream version 1.5.0+ds (Closes: #1016800)
  * Explicitly set USE_SSH=ON (Closes: #1015965)
  * Bump SONAME to libgit2.so.1.5
  * Add lintian overrides for fixture data
  * Switch to PCRE2 (Closes: #1000045)

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Aug 2022 19:56:46 +0200

libgit2 (1.4.3+dfsg.1-1) experimental; urgency=medium

  * New upstream version 1.4.3+dfsg.1
  * Update symbols file and create libgit2-1.4 binary package
  * d/p/: Refresh patches
  * Add myself to uploaders

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 05 May 2022 17:17:21 +0530

libgit2 (1.3.2+dfsg.1-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix version (LP: #1991636)
  * d/watch: switch to the GH tags page as the release page broke
    tarball links
  * d/p/fix-warnings-atomic-exchange.patch: cherry-picked from upstream
    to silence a particularly loud warning

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 04 Oct 2022 09:55:21 +0200

libgit2 (1.3.0+dfsg.1-3ubuntu1) kinetic; urgency=medium

  * d/control: Use OpenSSL as the crypto backend

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 01 Jul 2022 12:05:54 +0200

libgit2 (1.3.0+dfsg.1-3) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 02 May 2022 17:52:28 +0530

libgit2 (1.3.0+dfsg.1-2) experimental; urgency=medium

  * Rebuild with newer libmbedtls

 -- Pirate Praveen <praveen@debian.org>  Wed, 16 Mar 2022 02:19:59 +0530

libgit2 (1.3.0+dfsg.1-1) experimental; urgency=medium

  * New upstream version 1.3.0+dfsg.1
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Refresh patches
  * Update sumbols file and create libgit2-1.3 binary package

 -- Pirate Praveen <praveen@debian.org>  Sat, 11 Dec 2021 18:10:44 +0530

libgit2 (1.1.0+dfsg.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix autopkgtest regression with CMake 3.19+ (Closes: #994494)

 -- Timo Röhling <roehling@debian.org>  Tue, 05 Oct 2021 20:43:28 +0200

libgit2 (1.1.0+dfsg.1-4) unstable; urgency=medium

  * Source-only upload for migration.

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 06 Jan 2021 22:58:58 +0530

libgit2 (1.1.0+dfsg.1-3) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Provide binary package for libgit2 fixtures (Closes: #972574)
  * install as examples

  [ Utkarsh Gupta ]
  * Wrap description wrt line length limitation

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 27 Dec 2020 10:06:10 +0530

libgit2 (1.1.0+dfsg.1-2) unstable; urgency=medium

  * Upload to unstable.
    - Transition v1.x. (cf: #971571)
  * Bump Standards-Version to 4.5.1

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 09 Dec 2020 15:09:10 +0530

libgit2 (1.1.0+dfsg.1-1) experimental; urgency=medium

  * New upstream version 1.1.0+dfsg.1
  * Update branching information in d/gbp.conf
  * Refresh d/patches
  * Drop patch that has been merged upstream
  * Library transition from 1.0 to 1.1
  * Update symbols file
  * Drop Russell Sim from uploaders' field
    - Thank you, Russell Sim, for all your work so far!

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 07 Dec 2020 14:21:42 +0530

libgit2 (1.0.1+dfsg.1-3) unstable; urgency=medium

  * Upload to unstable.
    - Transition v1.x. (cf: #971571)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 04 Dec 2020 23:34:22 +0530

libgit2 (1.0.1+dfsg.1-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 1.0.1+dfsg.1.
  * Update symbols file to add git_worktree_prune_init_options@Base.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.
  * Fix day-of-week for changelog entry 0.19.0-2.

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 09 Oct 2020 21:05:33 +0530

libgit2 (1.0.0+dfsg.1-2) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * Add Build-Depends-Package: libgit2-dev to libgit2-1.0.symbols

  [ Ximin Luo ]
  * Add missing libgit2-dev: Depends: libpcre3-dev. (Closes: #961952)

 -- Ximin Luo <infinity0@debian.org>  Fri, 02 Oct 2020 03:30:36 +0100

libgit2 (1.0.0+dfsg.1-1) experimental; urgency=medium

  * New upstream version 1.0.0+dfsg.1
  * Library transition to 1.0.0
  * Drop patch as it is merged upstream

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Apr 2020 02:21:10 +0530

libgit2 (0.99.0+dfsg.1-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 0.99.0+dfsg.1
  * Use pcre2 as REGEX_BACKEND
  * Add patch to fix installation in wrong location
  * Add BD on libpcre2-dev
  * Add -DUSE_NTLMCLIENT and -DUSE_HTTP_PARSER flags to CMake
  * Library transition from 28 to 99
  * Fix package-name-doesnt-match-sonames
  * Fix d/copyright wrt the new release
  * Add Rules-Requires-Root: no

  [ Sudip Mukherjee ]
  * Revert "Use pcre2 as REGEX_BACKEND"
  * Add dependency on ca-certificates and libpcre3-dev
  * Add ci
  * fix symbols file

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 26 Mar 2020 18:25:16 +0530

libgit2 (0.28.4+dfsg.1-4) unstable; urgency=medium

  * Add BD on ca-certificates to fix FTBFS (Closes: #954529)
    (Thanks to Sudip Mukherjee for his help :))

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 23 Mar 2020 19:52:32 +0530

libgit2 (0.28.4+dfsg.1-3) unstable; urgency=medium

  [ Dan Nicholson ]
  * Use mbedTLS with standard CA certificate location (Closes: #927889)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 13 Mar 2020 02:00:49 +0530

libgit2 (0.28.4+dfsg.1-2) unstable; urgency=medium

  * Re-upload to unstable

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 14 Feb 2020 05:17:15 +0530

libgit2 (0.28.4+dfsg.1-1) experimental; urgency=medium

  * New upstream version 0.28.4+dfsg.1
  * Replace libz-dev with zlib1g-dev
  * Replace python-minimal with python3-minimal (Closes: #936866)
  * Make libgit2 cross buildable (Closes: #913241)
  * Add myself as the maintainer
  * Beautify d/control
  * Bump debhelper-compat to 12
  * Bump Standards-Version to 4.5.0

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 14 Feb 2020 02:43:40 +0530

libgit2 (0.28.3+dfsg.1-1) unstable; urgency=medium

  * Reupload to unstable (transition: #934927)
  * Add myself and Russel as Uploaders and Jongmin as Maintainer
    (Closes: #928971)
  * Bump Standards-Version to 4.4.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Nov 2019 11:21:02 +0530

libgit2 (0.28.3+dfsg.1-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 0.28.3+dfsg.1

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 Nov 2019 22:07:23 +0530

libgit2 (0.28.1+dfsg.1-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 0.28.1+dfsg.1
  * Library transition from 27 to 28
  * Remove resolved patches with new upstream version
  * Remove nonexistent document

 -- Jongmin Kim <jmkim@pukyong.ac.kr>  Sun, 12 May 2019 02:53:10 +0900

libgit2 (0.27.7+dfsg.1-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release (Closes: #917176)

 -- Raju Devidas <rajudev@disroot.org>  Wed, 26 Dec 2018 22:59:30 +0530

libgit2 (0.27.4+dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Totally For Reals fix the segfaults. (Closes: #904004)

 -- Ximin Luo <infinity0@debian.org>  Fri, 10 Aug 2018 21:29:21 -0700

libgit2 (0.27.0+dfsg.1-0.9) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix random segfaults in threads::diff. (Closes: #904004)
  * Don't specifically use gcc-8 now that it's already the Debian default.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Aug 2018 06:14:33 -0700

libgit2 (0.27.0+dfsg.1-0.8) unstable; urgency=medium

  * Non-maintainer upload
  * Force build with gcc-8 to fix segfaults in armhf build (Closes: #904004)

 -- Pirate Praveen <praveen@debian.org>  Wed, 18 Jul 2018 16:03:06 +0530

libgit2 (0.27.0+dfsg.1-0.7) unstable; urgency=medium

  * Non-maintainer upload
  * Enable basic autopkgtest

 -- Pirate Praveen <praveen@debian.org>  Fri, 13 Jul 2018 08:19:44 +0530

libgit2 (0.27.0+dfsg.1-0.6) unstable; urgency=medium

  * Non-maintainer upload
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Wed, 11 Jul 2018 18:45:42 +0530

libgit2 (0.27.0+dfsg.1-0.5) experimental; urgency=medium

  * Non-maintainer upload
  * Switch vcs to salsa
  * Bump standards version to 4.1.4
  * Bump debhelper compatibility level to 11

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Jun 2018 18:41:38 +0530

libgit2 (0.27.0+dfsg.1-0.4) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix stack smashing error on 32-bit targets (Closes: #900126)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 26 May 2018 16:27:33 +0200

libgit2 (0.27.0+dfsg.1-0.3) experimental; urgency=medium

  * Non-maintainer upload.
  * Don't add mbedtls in pkgconfig file (upstream patch)
  * Fix test failure due to alignment-related crashes (Closes: #900059)

 -- Pirate Praveen <praveen@debian.org>  Sat, 26 May 2018 17:31:32 +0530

libgit2 (0.27.0+dfsg.1-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Disable tests requiring internet access
  * Explicitly specify mbedTLS for https (Closes: #899253)

 -- Pirate Praveen <praveen@debian.org>  Thu, 24 May 2018 21:53:14 +0530

libgit2 (0.27.0+dfsg.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.27.0 (Closes: #869665)
  * Switch to mbedTLS with upstream patch
    (Thanks to Nicolas Braud-Santoni for his efforts to update curl support
    patch)
  * Library transition libgit2-26 to libgit2-27

 -- Pirate Praveen <praveen@debian.org>  Sun, 06 May 2018 17:57:24 +0530

libgit2 (0.26.0+dfsg.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  * Declare compliance with standards version 4.1.3.
    * debian/control: Replace `Priority: extra` with `optional`
    * debian/copyright
      + Refer to the CC0 license file.
        Closes: #882632
      + Use HTTPS URIs

  * debian/watch: Fix generated version numbers

  * Make the package lintian-clean
    * debian/control
      + Use canonical Vcs-* URLs
      + Use an HTTPS URL for the homepage
    * Switch to debhelper 11
    * Lintian overrides
      * Remove empty override files
      * Relocate source file to debian/source/
      * Rename tag debian-watch-may-check-gpg-signature

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Wed, 14 Feb 2018 16:34:02 +0100

libgit2 (0.26.0+dfsg.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Use git_curl_stream_new for HTTPS because we don't link against openssl.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Sep 2017 11:52:10 +0200

libgit2 (0.26.0+dfsg.1-1) experimental; urgency=medium

  * New upstream release.
  * Enable GSS authentication support.
  * Remove unused deps (Closes: #861752)

 -- Russell Sim <russell.sim@gmail.com>  Sat, 29 Jul 2017 15:58:46 +0200

libgit2 (0.25.1+really0.24.6-1) unstable; urgency=medium

  * Revert 0.25.1 in unstable, 0.24.5 was already in unstable 0.25.1 was
    uploaded after the freeze.
  * Release 0.24.6 (CVE-2016-10128, CVE-2016-10129, CVE-2016-10130)
    (Closes: #851406)

 -- Russell Sim <russell.sim@gmail.com>  Sun, 21 May 2017 18:18:47 +0200

libgit2 (0.25.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Russell Sim <russell.sim@gmail.com>  Sat, 20 May 2017 19:27:39 +0200

libgit2 (0.25.1-1) experimental; urgency=medium

  * New upstream release. (CVE-2016-10128, CVE-2016-10129, CVE-2016-10130)
    (Closes: #851406, #857068)

 -- Russell Sim <russell.sim@gmail.com>  Tue, 25 Apr 2017 07:29:37 +0200

libgit2 (0.24.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patch/fix_gmt14_timzone_bug.patch (Closes: #841532)
  * Correcty address CVE-2016-8568

 -- Russell Sim <russell.sim@gmail.com>  Mon, 02 Jan 2017 20:35:08 +1100

libgit2 (0.24.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Russell Sim <russell.sim@gmail.com>  Fri, 04 Nov 2016 18:36:41 +1100

libgit2 (0.24.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8
  * Add commit-always-initialize-commit-message.patch fixes CVE-2016-8568,
    CVE-2016-8569
  * debian/rules: Set debian hardening compile flags.
  * debian/rules: When testing package force timezone to GMT.

 -- Russell Sim <russell.sim@gmail.com>  Sun, 23 Oct 2016 14:30:45 +1100

libgit2 (0.24.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 13 Apr 2016 11:31:25 +0200

libgit2 (0.24.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop git_tests-fix-core-stream-test-when-built-with-openssl-o.patch
    - merged upstream.
  * Revert "Disable fakeroot emulation when running tests"
    - no longer needed thanks to upstream fix.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 12 Apr 2016 16:34:48 +0200

libgit2 (0.24.0-2) experimental; urgency=medium

  * Team upload.
  * Incorporate 0.23.1-1.1 NMU diff
  * Drop libgit2-dbg and migrate to dbgsym
  * Add git_tests-fix-core-stream-test-when-built-with-openssl-o.patch
    - cherry-picked from upstream git master.
  * Disable fakeroot emulation when running tests
    - tests only works under regular user or real root.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Apr 2016 17:03:05 +0200

libgit2 (0.24.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #798338)
  * Rename packages for new upstream so version -24
  * Update debian/libgit2-24.symbols
  * Bump Standards-Version to 3.9.7
  * Update Vcs-* for new collab-maint repo

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 04 Apr 2016 15:30:44 +0200

libgit2 (0.23.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Don't depend on OpenSSL, either directly or indirectly. Build with and
    depend on libcurl4-gnutls-dev instead. (Closes: #798421)
  * Drop associated Build-Depends on ca-certificates.

 -- Josh Triplett <josh@joshtriplett.org>  Fri, 18 Mar 2016 17:08:00 -0700

libgit2 (0.23.1-1) unstable; urgency=medium

  * New upstream release 0.23.1.
  * debian/control: Added build dependency on libcurl4-openssl-dev.
  * debian/control: Updated VCS URL.
  * debian/copyright: Added winhttp copyright.
  * debian/docs: Added missing development documentation.
  * debian/libgit2-23.symbols: Updated with latest symbols.
  * debian/libgit2-dev.lintian-overrides: Override comment
    stripping, should work once it's supported by dh_strip.
  * debian/patches/disable_tests.patch: Updated for 0.23.0.

 -- Russell Sim <russell.sim@gmail.com>  Tue, 11 Aug 2015 08:51:39 +1000

libgit2 (0.22.2-2) unstable; urgency=medium

  * debian/control: Added dependency on pkg-config (Closes: #786494)
  * debian/rules: Manually cleanup clar files (Closes: #786491)

 -- Russell Sim <russell.sim@gmail.com>  Sat, 23 May 2015 22:42:04 -0700

libgit2 (0.22.2-1) unstable; urgency=medium

  * New upstream releaase 0.22.2 (Closes: #780495).

 -- Russell Sim <russell.sim@gmail.com>  Wed, 06 May 2015 21:54:25 +1000

libgit2 (0.21.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use CURDIR instead of PWD to fix the previous upload (Closes: #761539).

 -- Ivo De Decker <ivodd@debian.org>  Thu, 08 Jan 2015 23:04:40 +0100

libgit2 (0.21.3-1) unstable; urgency=medium

  * New upstream release 0.21.3 (CVE-2014-9390) (Closes: #774048).
  * debian/rules: Run tests in a local tmpdir to fix FTBFS (Closes: #761539).

 -- Russell Sim <russell.sim@gmail.com>  Sun, 28 Dec 2014 18:52:18 +1100

libgit2 (0.21.2-2) unstable; urgency=medium

  * debian/control: Added missing dependencies. (Closes: #768482)

 -- Russell Sim <russell.sim@gmail.com>  Sun, 16 Nov 2014 10:33:23 +0100

libgit2 (0.21.2-1) unstable; urgency=medium

  * New upstream release 0.21.2.
  * debian/control: Added libssh2-1-dev requirement. (Closes: #761042)
  * debian/control: Added libhttp-parser-dev requirement.
  * debian/copyright: Fixed MIT NGINX license format.
  * debian/copyright: Reordered file sections.
  * debian/copyright: Fixed incorrect clar licensing.
  * Bumped standards version to 3.9.6 (no change necessary).

 -- Russell Sim <russell.sim@gmail.com>  Tue, 28 Oct 2014 20:34:58 +1100

libgit2 (0.21.1-1) unstable; urgency=medium

  * New upstream release 0.21.1.

 -- Russell Sim <russell.sim@gmail.com>  Wed, 03 Sep 2014 12:41:44 +1000

libgit2 (0.21.0-1) UNRELEASED; urgency=medium

  * New upstream release 0.21.0.
  * debian/copyright: Added new licenses: ICS, CC0.
  * Library name now matches so name version.

 -- Russell Sim <russell.sim@gmail.com>  Sat, 21 Jun 2014 11:19:23 +1000

libgit2 (0.20.0-1) experimental; urgency=medium

  * New upstream release 0.20.0.
  * debian/patches/disable_online_tests.patch: Renamed to
    disable_tests.patch.
  * debian/patches/disable_tests.patch: Disabled blame test.
  * debian/rules: Use automatic dh_makeshlib version dependency.
  * Bumped standards version to 3.9.5 (no change necessary).
  * debian/copyright: Added new licenses: MIT, BSD and PHP

 -- Russell Sim <russell.sim@gmail.com>  Thu, 13 Mar 2014 20:35:39 +1100

libgit2 (0.19.0-2) experimental; urgency=low

  * Added correct dependencies to development package. (Closes: #715173)
  * Standards upgrade to version 3.9.4.
  * Multi-arch support.
  * Manually specified symbols instead of relying on regex.

 -- Russell Sim <russell.sim@gmail.com>  Tue, 20 Aug 2013 22:33:20 +1000

libgit2 (0.19.0-1) experimental; urgency=low

  * Enable threading. (Closes: #700181)

 -- Russell Sim <russell.sim@gmail.com>  Tue, 02 Jul 2013 19:43:00 +1000

libgit2 (0.18.0-2) experimental; urgency=low

  * Disable online tests.
    Thanks to Felix Geyer for the heads up. (Closes: #712300)

 -- Russell Sim <russell.sim@gmail.com>  Mon, 17 Jun 2013 23:11:15 +1000

libgit2 (0.18.0-1) experimental; urgency=low

  [ Russell Sim ]
  * Added examples to dev package.

  [ Carlos Martín Nieto ]
  * Build-Depend on python-minimal instead of -all
  * BUILD_TESTS isn't used in this project

  [ Russell Sim ]
  * New upstream release 0.18.0.

 -- Russell Sim <russell.sim@gmail.com>  Tue, 30 Apr 2013 00:55:09 +1000

libgit2 (0.17.0-1) experimental; urgency=low

  * New Upstream Release.
  * debian/patches/build_static.patch: Enables building as both
    static and dynamic library.
  * debian/rules: Added CMAKE_BUILD_TYPE=RelWithDebInfo to rules file.
  * debian/compat: Updated to 9, adds support for hardening.

 -- Russell Sim <russell.sim@gmail.com>  Sun, 20 May 2012 21:34:12 +1000

libgit2 (0.16.0-1) experimental; urgency=low

  * Initial release (Closes: #614517)

 -- Russell Sim <russell.sim@gmail.com>  Tue, 06 Mar 2012 23:03:20 +1100
